Bug 84582 - Without a name set, misleading label in new version creation dialog
Summary: Without a name set, misleading label in new version creation dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Szymon Kłos
URL:
Whiteboard: target:4.4.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2014-10-02 03:44 UTC by danielhglus
Modified: 2015-12-16 00:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The new version dialog when no name has been set in the options (3.65 KB, image/png)
2014-10-02 03:44 UTC, danielhglus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description danielhglus 2014-10-02 03:44:54 UTC
Created attachment 107211 [details]
The new version dialog when no name has been set in the options

If there hasn't been any name set in the user data options, then the dialog to create a new version gets very confusing.

As the screenshot shows, since there isn't anything after the text "Saved by:" in the label (where the name should normally go), it looks like "Saved by:" is a label for the entire text area.

This could be fixed by setting some text like "(no name set)" as the default text to go after "Saved by:" in absence of a name.
Comment 1 Adolfo Jayme 2014-10-02 04:56:57 UTC
Thank you for your bug report.
Comment 2 Cor Nouws 2014-10-02 10:51:53 UTC
good idea :)
Comment 3 Commit Notification 2014-11-11 16:40:06 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fc7a10dbf7f76046cd287c7e7695fc547d2fab3

fdo#84582 : fixed label in the 'Insert Version Comment' dialog

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Robinson Tryon (qubit) 2015-12-16 00:12:55 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicUI )
[NinjaEdit]